# Uses of Enum Class
org.apache.sysds.common.InstructionType

Packages that use InstructionType
Package
Description
org.apache.sysds.common
org.apache.sysds.runtime.instructions

## Uses of InstructionType in org.apache.sysds.common

Methods in org.apache.sysds.common that return InstructionType
Modifier and Type
Method
Description
`InstructionType`
Opcodes.`getFedType()`
`InstructionType`
Opcodes.`getOocType()`
`InstructionType`
Opcodes.`getSpType()`
`InstructionType`
Opcodes.`getType()`
`static InstructionType`
Opcodes.`getTypeByOpcode(String opcode, Types.ExecType type)`
`static InstructionType`
InstructionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InstructionType[]`
InstructionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of InstructionType in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return InstructionType
Modifier and Type
Method
Description
`static InstructionType`
InstructionUtils.`getCPType(String str)`
`static InstructionType`
InstructionUtils.`getCPTypeByOpcode(String opcode)`
`static InstructionType`
InstructionUtils.`getFEDType(String str)`
`static InstructionType`
InstructionUtils.`getOOCType(String str)`
`static InstructionType`
InstructionUtils.`getSPType(String str)`
`static InstructionType`
InstructionUtils.`getSPTypeByOpcode(String opcode)`
Methods in org.apache.sysds.runtime.instructions with parameters of type InstructionType
Modifier and Type
Method
Description
`static CPInstruction`
CPInstructionParser.`parseSingleInstruction(InstructionType cptype, String str)`
`static FEDInstruction`
FEDInstructionParser.`parseSingleInstruction(InstructionType fedtype, String str)`
`static OOCInstruction`
OOCInstructionParser.`parseSingleInstruction(InstructionType ooctype, String str)`
`static SPInstruction`
SPInstructionParser.`parseSingleInstruction(InstructionType sptype, String str)`